Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xqj
Class XQMetaData

    java.lang.Object
      org.exist.xqj.XQMetaData

All Implemented Interfaces:
  javax.xml.xquery.XQMetaData

public class XQMetaData
extends java.lang.Object
implements javax.xml.xquery.XQMetaData

Author:
  Adam Retter

Constructor Summary
`XQMetaData()`
`XQMetaData(XQConnection connection)`

Method Summary
`int` | `getMaxExpressionLength()`
`int` | `getMaxUserNameLength()`
`int` | `getProductMajorVersion()`
`int` | `getProductMinorVersion()`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getProductVersion()`
`java.lang.String` | `getUserName()`
`int` | `getXQJMajorVersion()`
`int` | `getXQJMinorVersion()`
`java.lang.String` | `getXQJVersion()`
`boolean` | `isCollectionNestingSupported()`
`boolean` | `isFullAxisFeatureSupported()`
`boolean` | `isModuleFeatureSupported()`
`boolean` | `isReadOnly()`
`boolean` | `isSchemaImportFeatureSupported()`
`boolean` | `isSchemaValidationFeatureSupported()`
`boolean` | `isSerializationFeatureSupported()`
`boolean` | `isStaticTypingExtensionsSupported()`
`boolean` | `isStaticTypingFeatureSupported()`
`boolean` | `isTransactionSupported()`
`boolean` | `isXQueryXSupported()`
`boolean` | `wasCreatedFromJDBCConnection()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQMetaData

    public XQMetaData()

### XQMetaData

    public XQMetaData(XQConnection connection)

Method Detail

### getMaxExpressionLength

    public int getMaxExpressionLength()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getMaxExpressionLength` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getMaxUserNameLength

    public int getMaxUserNameLength()
                             throws javax.xml.xquery.XQException

  Specified by:
    `getMaxUserNameLength` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getProductMajorVersion

    public int getProductMajorVersion()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getProductMajorVersion` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getProductMinorVersion

    public int getProductMinorVersion()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getProductMinorVersion` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getProductName

    public java.lang.String getProductName()
                                    throws javax.xml.xquery.XQException

  Specified by:
    `getProductName` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getProductVersion

    public java.lang.String getProductVersion()
                                       throws javax.xml.xquery.XQException

  Specified by:
    `getProductVersion` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getUserName

    public java.lang.String getUserName()
                                 throws javax.xml.xquery.XQException

  Specified by:
    `getUserName` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getXQJMajorVersion

    public int getXQJMajorVersion()
                           throws javax.xml.xquery.XQException

  Specified by:
    `getXQJMajorVersion` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getXQJMinorVersion

    public int getXQJMinorVersion()
                           throws javax.xml.xquery.XQException

  Specified by:
    `getXQJMinorVersion` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### getXQJVersion

    public java.lang.String getXQJVersion()
                                   throws javax.xml.xquery.XQException

  Specified by:
    `getXQJVersion` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isCollectionNestingSupported

    public boolean isCollectionNestingSupported()
                                         throws javax.xml.xquery.XQException

  Specified by:
    `isCollectionNestingSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isFullAxisFeatureSupported

    public boolean isFullAxisFeatureSupported()
                                       throws javax.xml.xquery.XQException

  Specified by:
    `isFullAxisFeatureSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isModuleFeatureSupported

    public boolean isModuleFeatureSupported()
                                     throws javax.xml.xquery.XQException

  Specified by:
    `isModuleFeatureSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isReadOnly

    public boolean isReadOnly()
                       throws javax.xml.xquery.XQException

  Specified by:
    `isReadOnly` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isSchemaImportFeatureSupported

    public boolean isSchemaImportFeatureSupported()
                                           throws javax.xml.xquery.XQException

  Specified by:
    `isSchemaImportFeatureSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isSchemaValidationFeatureSupported

    public boolean isSchemaValidationFeatureSupported()
                                               throws javax.xml.xquery.XQException

  Specified by:
    `isSchemaValidationFeatureSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isSerializationFeatureSupported

    public boolean isSerializationFeatureSupported()
                                            throws javax.xml.xquery.XQException

  Specified by:
    `isSerializationFeatureSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isStaticTypingExtensionsSupported

    public boolean isStaticTypingExtensionsSupported()
                                              throws javax.xml.xquery.XQException

  Specified by:
    `isStaticTypingExtensionsSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isStaticTypingFeatureSupported

    public boolean isStaticTypingFeatureSupported()
                                           throws javax.xml.xquery.XQException

  Specified by:
    `isStaticTypingFeatureSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isTransactionSupported

    public boolean isTransactionSupported()
                                   throws javax.xml.xquery.XQException

  Specified by:
    `isTransactionSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### isXQueryXSupported

    public boolean isXQueryXSupported()
                               throws javax.xml.xquery.XQException

  Specified by:
    `isXQueryXSupported` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

### wasCreatedFromJDBCConnection

    public boolean wasCreatedFromJDBCConnection()
                                         throws javax.xml.xquery.XQException

  Specified by:
    `wasCreatedFromJDBCConnection` in interface `javax.xml.xquery.XQMetaData`
  Throws:
    `javax.xml.xquery.XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.